### DbEnv::log_flush

`

###

    #include <db_cxx.h>

    int
    DbEnv::log_flush(const DbLsn *lsn);

### Description: DbEnv::log_flush

The DbEnv::log_flush method writes log records to disk.

The DbEnv::log_flush method either returns a non-zero error value or throws an exception that encapsulates a non-zero error value on failure, and returns 0 on success.

### Parameters

lsn
  All log records with DbLsn values less than or equal to the lsn parameter are written to disk. If lsn is NULL, all records in the log are flushed.

### Errors

The DbEnv::log_flush method may fail and throw DbException, encapsulating one of the following non-zero errors, or return one of the following non-zero errors:

EINVAL
  An invalid flag value or parameter was specified.

### Class

DbEnv, DbLogc, DbLsn

### See Also

Logging Subsystem and Related Methods`

Copyright (c) 1996,2007 Oracle. All rights reserved.